
Redmine - Patch #15072

Optimization of issues journal custom fields display

2013-10-09 12:22 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.4.0   

Description

Custom filed is reloaded for each detail

even if cached by active record, we can avoid to reload them

Associated revisions

Revision 12217 - 2013-10-13 12:04 - Jean-Philippe Lang

Avoid lots of CustomField.find_by_id calls when displaying an issue history with custom fields (#15072).

History

#1 - 2013-10-09 12:24 - Jérôme BATAILLE

- File RM_15072_optimization_not_reload_custom_field_V2.3.2.diff added

#2 - 2013-10-13 12:05 - Jean-Philippe Lang

- Category changed from Issues to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

I've committed r12217 which avoids much more of these cache hits, thanks for pointing this out.

#3 - 2013-10-13 20:20 - Jérôme BATAILLE

Sure your solution is more efficient.

Thanks !

#4 - 2017-03-31 13:59 - Jérôme BATAILLE

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

#5 - 2017-04-29 20:28 - Toshi MARUYAMA

Jérôme BATAILLE wrote:

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

 "patch" tracker does not have "resolution" filed.

Files

RM_15072_optimization_not_reload_custom_field_V2.3.2.diff 973 Bytes 2013-10-09 Jérôme BATAILLE
